FIPS 201 with PACS server 5.22 and up

FIPS 201 with PACS server 5.22 and up

Symptom

Unable to connect to FIPS 201 and getting the error ‘The client and server cannot communicate because they do not pose a common algorithm’

Resolution

The newest PACS service uses TLS encryption now which requires two things


  1. The certificate is required to be installed in Third-Party Root Certification Authorities.  
    1. When this is installed, it will also install it in the Trusted Root Certification Authorities, this is ok as long as the certificate is not duplicated in either.
    2. This needs to be done on the server and clients where they will be enrolling from PACS
  2. TLS 1.0 and 1.1 needs to be enabled on the server and clients where they are looking to enroll from PACS.

Applies To

PACS Server 5.22 and above


Additional Information


Copyright © 2023 Carrier. All rights reserved.